package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 库存信息
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2018-11-02 11:06
 * @Modify:
 **/
@Data
@Entity
@Table(name = "WMS_STOCK_QUAN")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value = "库存信息", description = "库存信息")
public class WmsStockQuan extends BaseBean {

    @Column(name = "WH_NO")
    @ApiParam(value = "仓库代码")
    private String whNo;

    @Column(name = "ZONE_NO")
    @ApiParam(value = "存储区编号")
    private String zoneNo;

    @Column(name = "LOCATE_NO")
    @ApiParam(value = "库位代码")
    private String locateNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编号")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam(value = "物料名称")
    private String partNameRdd;

    @Column(name = "UNIT")
    @ApiParam("单位")
    public String unit;

    @Column(name = "CUST_NO")
    @ApiParam(value = "客户编码")
    private String custNo;

    @Column(name = "QTY")
    @ApiParam(value = "可用数量", example = "0")
    public Double qty;

    @Column(name = "FAIL_QTY")
    @ApiParam(value = "不合格数量", example = "0")
    private Double failQty;

    @Column(name = "HOLD_QTY")
    @ApiParam(value = "隔离数量", example = "0")
    private Double holdQty;

    @Column(name = "QC_QTY")
    @ApiParam(value = "质检中数量", example = "0")
    private Double qcQty;

    @Column(name = "RIN_QTY")
    @ApiParam(value = "待入库数量", example = "0")
    private Double rinQty;

    @Column(name = "FREEZE_QTY")
    @ApiParam(value = "冻结数量", example = "0")
    private Double freezeQty;

    @Column(name = "CONSIGN_QTY")
    @ApiParam(value = "寄售数量", example = "0")
    private Double consignQty;

    @Column(name = "LOCK_QTY")
    @ApiParam(value = "锁定数量", example = "0")
    private Double lockQty;
}
